export const schema = gql`
  type Kategorie {
    id: Int!
    name: String!
    artikel: [Artikel]!
  }

  type Query {
    kategories: [Kategorie!]! @requireAuth
    kategorie(id: Int!): Kategorie @requireAuth
  }

  input CreateKategorieInput {
    name: String!
  }

  input UpdateKategorieInput {
    name: String
  }

  type Mutation {
    createKategorie(input: CreateKategorieInput!): Kategorie! @requireAuth
    updateKategorie(id: Int!, input: UpdateKategorieInput!): Kategorie!
      @requireAuth
    deleteKategorie(id: Int!): Kategorie! @requireAuth
  }
`
